## cjk 4.7.0+git20070708

=== Makefile ===
--- 
+++ 
@@ -56,20 +56,21 @@
      texi2dvi -l latex $@.tex; \
    rm -f $@.tex $@.aux $@.log $@.toc)
 
+# DVI2PDF paper-format
 # expected: subdir `pdf' and `dvi'
 DVI2PDF=\
-  dvipdfmx -v -o pdf/$@.pdf dvi/$@.dvi
+  dvipdfmx -v -p $(1) -o pdf/$@.pdf dvi/$@.dvi
   
 
-# CONVERT converter srcdir targetdir
+# CONVERT converter srcdir targetdir [paper-format]
 CONVERT=\
   cd $(distdir); \
   $(1) < $(2)/$@.tex > $(3)/cjk/$@.cjk; \
   cd $(3); \
   $(CJK2DVI); \
-  $(DVI2PDF)
-
-# MULE srcdir targetdir
+  $(if $(4),$(call DVI2PDF,$(4)),$(call DVI2PDF,letter))
+
+# MULE srcdir targetdir [paper-format]
 MULE=\
   cd $(distdir); \
   emacs --batch \
@@ -79,14 +80,14 @@
   mv $(1)/$@.cjk $(2)/cjk; \
   cd $(2); \
   $(CJK2DVI); \
-  $(DVI2PDF)
-
-# LATEX srcdir targetdir
+  $(if $(3),$(call DVI2PDF,$(3)),$(call DVI2PDF,letter))
+
+# LATEX srcdir targetdir [paper-format]
 LATEX=\
   cd $(distdir); \
   $(call LATEX2DVI,$(1),$(2)); \
   cd $(2); \
-  $(DVI2PDF)
+  $(if $(3),$(call DVI2PDF,$(3)),$(call DVI2PDF,letter))
 
 
 DISTTARGETS=\
@@ -119,7 +120,7 @@
 
 
 READMEb5:
-	$(call CONVERT,bg5conv,doc/chinese,doc)
+	$(call CONVERT,bg5conv,doc/chinese,doc,a4)
 READMEgb:
 	$(call LATEX,doc/chinese,doc)
 Big5 Big5vert:
@@ -187,9 +188,9 @@
 
 manpages:
 	for f in `find utils -type f -name '*.1'`; do \
-	  groff -ww -Tdvi -mec -man $$f > \
+	  groff -ww -Tdvi -dpaper=letter -P-pletter -mec -man $$f > \
 	    $(abs-distdir)/doc/man/dvi/`basename $$f .1`.dvi; \
-	  groff -ww -Tps -man $$f | \
+	  groff -ww -Tps -dpaper=letter -P-pletter -man $$f | \
 	    ps2pdf - $(abs-distdir)/doc/man/pdf/`basename $$f .1`.pdf; \
 	  groff -ww -Tlatin1 -man -P-bcu $$f > \
 	    $(abs-distdir)/doc/man/txt/`basename $$f .1`.txt; \
@@ -205,7 +206,7 @@
 	   cweavex +a $$F.w; \
 	   tex $$F; \
 	   rm -rf $$F.idx $$F.log $$F.scn $$F.tex $$F.toc $$F.w; \
-	   dvipdfmx -v -o ../pdf/$$F.pdf $$F); \
+	   dvipdfmx -v -p letter -o ../pdf/$$F.pdf $$F); \
 	done
 
 # EOF
