## cjk 4.8.0+git20080711

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 1994-2006  Werner Lemberg <wl@gnu.org>
+# Copyright (C) 1994-2008  Werner Lemberg <wl@gnu.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -27,23 +27,23 @@
 #
 # o GNU extensions of various utility programs are used.
 #
-# o emacs 22 (this is the CVS version) and the `cweave' program from the
-#   `c2cweb' package, renamed to `cweavex', are needed.
+# o emacs 22 and the `cweave' program from the `c2cweb' package,
+#   renamed to `cweavex', are needed.
 #
 # o The TeXLive version of some font definition files are used (in the
 #   `texlive' subdirectory).
 
-version=4.7.0
+version=4.8.0
 
 distdir=cjk-$(version)
 abs-distdir=$(shell pwd)/$(distdir)
 
-DISTDIRS=$(shell find . -type d | grep -v CVS | grep -v $(distdir))
+DISTDIRS=$(shell find . -type d | grep -v .git | grep -v $(distdir))
 
 # expected: subdirs `dvi' and `cjk'
 CJK2DVI=\
   (cd dvi; \
-   TEXINPUTS=$(abs-distdir)/{texlive,texinput//,contrib/wadalab,utils/pyhyphen}:$$TEXINPUTS \
+   TEXINPUTS=$(abs-distdir)/{texlive,texinput//,contrib/wadalab,utils/pyhyphen}: \
      texi2dvi -l latex ../cjk/$@.cjk; \
    rm -f $@.aux $@.log $@.toc)
 
@@ -52,7 +52,7 @@
 LATEX2DVI=\
   cp $(1)/$@.tex $(2)/dvi; \
   (cd $(2)/dvi; \
-   TEXINPUTS=$(abs-distdir)/{texlive,texinput//,contrib/wadalab,utils/pyhyphen}:$$TEXINPUTS \
+   TEXINPUTS=$(abs-distdir)/{texlive,texinput//,contrib/wadalab,utils/pyhyphen}: \
      texi2dvi -l latex $@.tex; \
    rm -f $@.tex $@.aux $@.log $@.toc)
 
@@ -88,6 +88,17 @@
   $(call LATEX2DVI,$(1),$(2)); \
   cd $(2); \
   $(if $(3),$(call DVI2PDF,$(3)),$(call DVI2PDF,letter))
+
+# XELATEX srcdir targetdir
+XELATEX=\
+  cd $(distdir); \
+  cp $(1)/$@.tex $(2)/pdf; \
+  (cd $(2)/pdf; \
+   TEXINPUTS=$(abs-distdir)/{texlive,texinput//,contrib/wadalab,utils/pyhyphen}: \
+     xelatex $@.tex; \
+   TEXINPUTS=$(abs-distdir)/{texlive,texinput//,contrib/wadalab,utils/pyhyphen}: \
+     xelatex $@.tex; \
+   rm -f $@.tex $@.aux $@.log $@.toc $@.out $@.ovt)
 
 
 DISTTARGETS=\
@@ -99,7 +110,9 @@
   CJKbabel \
   CJKfntef \
   CJKutf8 \
+  CJKspace \
   CJKmixed \
+  xCJK \
   GB \
   JIS \
   KS \
@@ -131,8 +144,10 @@
 	$(call CONVERT,sjisconv,examples,examples)
 CJKbabel muletest rubytest thai:
 	$(call MULE,examples,examples)
-GB JIS KS UTF8 py_test CJKfntef CJKutf8 CJKmixed:
+GB JIS KS UTF8 py_test CJKfntef CJKutf8 CJKspace CJKmixed:
 	$(call LATEX,examples,examples)
+xCJK:
+	$(call XELATEX,examples,examples)
 pytest:
 	$(call LATEX,utils/pyhyphen,examples)
 c90:
@@ -188,9 +203,9 @@
 
 manpages:
 	for f in `find utils -type f -name '*.1'`; do \
-	  groff -ww -Tdvi -dpaper=letter -P-pletter -mec -man $$f > \
+	  groff -ww -Tdvi -dpaper=letter -P-pletter -mec -man -rS11 $$f > \
 	    $(abs-distdir)/doc/man/dvi/`basename $$f .1`.dvi; \
-	  groff -ww -Tps -dpaper=letter -P-pletter -man $$f | \
+	  groff -ww -Tps -dpaper=letter -P-pletter -man -rS11 $$f | \
 	    ps2pdf - $(abs-distdir)/doc/man/pdf/`basename $$f .1`.pdf; \
 	  groff -ww -Tlatin1 -man -P-bcu $$f > \
 	    $(abs-distdir)/doc/man/txt/`basename $$f .1`.txt; \
