## cjk 4.8.2%2bgit20111216

=== debian/control ===
Source: cjk
Build-Depends: debhelper (>= 8), quilt, libkpathsea-dev, texlive-extra-utils, git-core, tex-common (>= 2.04)
Build-Depends-Indep: texlive-base-bin, perl-base (>= 5.8.0), texlive-font-utils, thailatex, latex-fonts-thai-tlwg
Section: tex
Priority: optional
Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Danai SAE-HAN (韓達耐) <danai@debian.org>, Norbert Preining <preining@debian.org>
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/debian-tex/cjk/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/cjk/trunk/
Homepage: http://cjk.ffii.org/

Package: latex-cjk-common
Architecture: any
Depends: texlive-latex-base, texlive-font-utils (>= 2007.dfsg.2-1), tex-common (>= 2.04), ${misc:Depends}, ${shlibs:Depends}
Recommends: latex-cjk-xcjk
Conflicts: cjk-latex (<= 4.5.1), latex-cjk
Replaces: cjk-latex
Provides: cjk-latex
Description: LaTeX macro package for CJK (Chinese/Japanese/Korean)
 CJK is a macro package for LaTeX to enable typesetting in Chinese,
 Japanese, Korean and Thai, and it supports Vietnamese through the
 "vntex" macro.  And you can still use Russian, Greek and other
 languages in the same document.
 It supports various CJK encodings, like UTF-8, Big5, GB, JIS, KS,
 CNS (through CEF) and Emacs MULE.
 .
 This package will install the common files, as well as a few
 GNU/Emacs Lisp files, and it provides support for furigana
 ("ruby text") and PinYin, either with or without tone marks.

Package: latex-cjk-xcjk
Architecture: all
Depends: latex-cjk-common (>= ${source:Version}), texlive-xetex, tex-common (>= 2.04), ${misc:Depends}
Suggests: fonts-dejima-mincho, fonts-kiloji, 
          fonts-thai-tlwg, 
          fonts-arphic-ukai, fonts-arphic-uming, 
          fonts-baekmuk, 
          fonts-ipafont-gothic | fonts-japanese-gothic, 
          fonts-ipafont-mincho | fonts-japanese-mincho,
          fonts-unfonts-core, fonts-unfonts-extra, 
          ttf-wqy-zenhei
Conflicts: cjk-latex (<= 4.5.1)
Description: XeTeX module of LaTeX CJK
 CJK is a macro package for LaTeX.  This package gives you the possibility
 to include Chinese (traditional and simplified), Japanese, Thai, Vietnamese,
 Korean, and many more scripts in your (La)TeX documents through XeLaTeX,
 which is based on the modern XeTeX engine.
 .
 It allows you to directly use TrueType fonts without any conversion or
 extra packages.
 .
 latex-cjk-xcjk suggests a whole bunch of Japanese, Chinese, Korean and Thai
 fonts that are guaranteed to work with xCJK, but any other TTF should work
 just as well.
 .
 Have a look at latex-cjk-common for a more detailed description.

Package: latex-cjk-chinese
Architecture: any
Depends: latex-cjk-common (= ${binary:Version}), tex-common (>= 2.04), ${misc:Depends}, ${shlibs:Depends}
Recommends: latex-cjk-chinese-arphic-bsmi00lp, latex-cjk-chinese-arphic-bkai00mp, latex-cjk-chinese-arphic-gbsn00lp, latex-cjk-chinese-arphic-gkai00mp
Suggests: hbf-cns40-b5, hbf-jfs56
Conflicts: cjk-latex (<= 4.5.1), tfm-arphic-bsmi00lp (<= 2.11.2-0.1), tfm-arphic-bkai00mp (<= 2.11.2-0.1), tfm-arphic-gbsn00lp (<= 2.11.2-0.1), tfm-arphic-gkai00mp (<= 2.11.2-0.1)
Description: Chinese module of LaTeX CJK
 CJK is a macro package for LaTeX.  This package gives you the possibility
 to include Chinese (traditional and simplified) text in your (La)TeX documents.
 .
 Install hbf-jfs56 if you want to use bitmap fonts in simplified Chinese.
 Install hbf-cns40-b5 if you want bitmap fonts in traditional Chinese.
 Install hbf-cns40-[1-7] if you want CEF bitmap fonts.  This is only needed
 if you need extremely rare and exotic Chinese characters.
 .
 Have a look at latex-cjk-common for a more detailed description.

Package: latex-cjk-japanese
Architecture: any
Recommends: latex-cjk-japanese-wadalab
Depends: latex-cjk-common (= ${binary:Version}), tex-common (>= 2.04), ${misc:Depends}, ${shlibs:Depends}
Suggests: hbf-kanji48
Conflicts: cjk-latex (<= 4.5.1)
Description: Japanese module of LaTeX CJK
 CJK is a macro package for LaTeX.  This package gives you the possibility
 to include Japanese text in your (La)TeX documents.  Install
 latex-cjk-japanese-wadalab for pretty printing.
 .
 Install hbf-kanji48 if you want to use bitmap fonts in your documents.
 .
 Have a look at latex-cjk-common for a more detailed description.

Package: latex-cjk-korean
Architecture: all
Recommends: ko.tex-extra-hlfont
Depends: latex-cjk-common (>= ${source:Version}), tex-common (>= 2.04), ${misc:Depends}
Conflicts: cjk-latex (<= 4.5.1)
Description: Korean module of LaTeX CJK
 CJK is a macro package for LaTeX.  This package gives you the possibility
 to include Korean text in your (La)TeX documents.

Package: latex-cjk-thai
Architecture: all
Depends: latex-cjk-common (>= ${source:Version}), texlive-latex-base, tex-common (>= 2.04), thailatex (>= 0.4.2), ${misc:Depends}
Conflicts: cjk-latex (<= 4.5.1)
Description: Thai module of LaTeX CJK
 CJK is a macro package for LaTeX.  This package gives you the possibility
 to include Thai text in your (La)TeX documents.
 It uses the same Type1 fonts (Norasi and Garuda) from the ThaiLaTeX package.
 .
 Have a look at latex-cjk-common for a more detailed description.

Package: latex-cjk-all
Architecture: all
Depends: latex-cjk-common (>= ${source:Version}), latex-cjk-xcjk (= ${source:Version}), latex-cjk-chinese (>= ${source:Version}), latex-cjk-japanese (>= ${source:Version}), latex-cjk-korean (= ${source:Version}), latex-cjk-thai (= ${source:Version}), latex-cjk-chinese-arphic-bsmi00lp, latex-cjk-chinese-arphic-bkai00mp, latex-cjk-chinese-arphic-gbsn00lp, latex-cjk-chinese-arphic-gkai00mp, latex-cjk-japanese-wadalab, ${misc:Depends}
Conflicts: cjk-latex (<= 4.5.1)
Description: installs all LaTeX CJK packages
 This package will install all CJK packages.
 You may also wish to install each package separately instead.
 See the latex-cjk-common package for a detailed description.

Package: cjk-latex
Architecture: all
Depends: latex-cjk-common (>= ${source:Version}), ${misc:Depends}
Suggests: latex-cjk-all (= ${source:Version})
Conflicts: cjk-latex (<= 4.5.1)
Description: installs all LaTeX CJK packages
 This is a dummy package that allows you to smoothly upgrade
 from the old cjk-latex to the current latex-cjk-common packages.
 After the installation of the latex-cjk-common packages, you can
 safely delete this package.
