## cjk 4.8.2+git20090105

=== debian/changelog ===
cjk (4.8.2+git20090105-5) unstable; urgency=low

  * The "Kimchi" release.
  * [patches/09_fix_korean_fd_files.diff] Finally update the Korean font
    definition files to work together with the ko.tex packages instead of
    the obsolete HLaTeX packages.  This fixes "Some HLaTeX font references
    used by CJK are not available in ko.tex anymore" (Closes: #579321).
  * [debian/control]
     - Remove the build-dependency on the `sharutils' package: we do not
       use `uuencode' anymore in debian/rules since cjk (4.8.2+git20090105-1);
     - bump Standards-Version to 3.8.4.
  * [debian/source/format] Really switch to Debian Source v3.0 (quilt)
     this time.
  * [debian/rules]
     - We do not include the "thaifonts.tar.gz" file anymore, so we can
       remove this cleanup procedure;
     - remove binary files in utils/.

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Sun, 16 May 2010 23:21:53 +0200

cjk (4.8.2+git20090105-4) unstable; urgency=medium

  * The "How do you hyphenate `Eve'" release.
  * Setting the urgency to "medium" because it fixes an important bug
    that renders parts of TeXlive not properly configured.
  * [control]
     - Move myself to "Uploaders", move Debian TeX Maintainers
       to "Maintainer", and add Norbert Preining to the list of
       Uploaders;
     - (Build-)Depend on tex-common (>= 2.04) in order to solve the
       bug below.
  * [rules] Switch from "dh_installtex [...] hyphen=pinyin,pyhyph.tex"
     to "[...] hyphen=pinyin,loadhyph-zh-latn.tex,lhm=1,rhm=1".
     The hyph-utf8 package requires all hyphenation patterns to be in
     UTF-8 encoding, and has its own modified pyhyph.tex file.
     Many thanks to Norbert Preining.  This fixes the bug "hyphenation
     definition is wrong, cannot be loaded with luatex" (Closes: #562198).

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Mon, 28 Dec 2009 22:31:17 +0100

cjk (4.8.2+git20090105-3) unstable; urgency=low

  * The "Christmas present" release.
  * [control,rules,patches/*] Switch from dpatch to quilt to comply with
    the 3.0 (quilt) source format.
  * [rules] Switch from "language=" to "hyphen=" after dh_installtex.
  * [control]
     - Depend and Build-Depend on tex-common (>= 2.03) due to syntax
       changes with dh_installtex;
     - only use one email address in the "Maintainer" field: move the
       Debian TeX ML address to "Uploaders" instead and remove my own
       email address from the "Uploaders" field.  This should fix bug
       "Erroneous Maintainer field" (Closes: #561789); thanks to Florian
       Ernst for the bug report.
  * Rebuild against libkpathsea-dev as it has bumped to v5.

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Mon, 21 Dec 2009 23:33:45 +0100

cjk (4.8.2+git20090105-2) unstable; urgency=medium

  * The "Doh, wrong version" release.
  * Setting the urgency to "medium" because it fixes an FTBFS.
  * [control]
     - Bump up the build-dependency of tex-common from (>= 1.18) to
       (>= 1.20);
     - Bump up the dependency on tex-common (>= 1.20) for every binary
       package;
     - bump Standards-Version from 3.8.2 to 3.8.3 (no changes);
     - add "Debian TeX maintainers" to the Maintainer: line;
     - add myself to the Uploaders: line.
  * [rules]
     - Bug fix: "FTBFS: cp: cannot stat `...{garuda,norasi}*.afm':", thanks
       to Lucas Nussbaum (Closes: #543025);
     - change the maintainer's email address.
   * [README.source] New file, that explains how the original source tarball
      is created.  This fixes a Lintian warning and is in compliance with
      Standards-Version 3.8.0.

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Wed, 26 Aug 2009 23:14:17 +0200

cjk (4.8.2+git20090105-1) unstable; urgency=low

  * The "GIT+SVN" release.
  * New upstream release:
     - Fixes some XeLaTeX issues with the language files;
     - adds support for CID-keyed fonts in the Fontforge scripts;
     - adds the \CJKdigits* command to use the traditional form of
       "zero";
     - adds the \Unicode command to use vertical glyph representation
       forms;
     - uses the original font names of ThaiLaTeX 0.4.2;
     - DNP.txt is now renamed to wadalab.txt;
     - a new CJKnumb.txt document is available, which explains the "CJKnumb"
       package;
     - extra documentation in CJK.txt about using the beamer class in
       conjunction with CJKutf8.
  * [control]
     - Add Homepage tag;
     - switch from XS-Vcs to Vcs-*;
     - use Debian Alioth's SVN address instead of upstream's GIT
       address;
     - add a build-dependency on git-core and tex-common (>= 1.18), the
       latter providing trigger support;
     - add a dependency on tex-common (>= 1.18) for every binary package;
     - fix a fair Lintian warning by adding a dependency on ${misc:Depends}
       for latex-cjk-{all,korean,xcjk} and cjk-latex, ignoring a harmless
       warning from dpkg-gencontrol for latex-cjk-all and cjk-latex
       ("unknown substitution variable");
     - bump Standards-Version from 3.8.0 to 3.8.2 (no changes);
     - add a build-dependency on an unversioned thailatex, which should
       allow for a clean pbuilder/cowbuilder build.  Thanks to Norbert
       Preining.
  * [rules]
     - Bug fix: "bashism in debian/rules", thanks to Raphael Geissert
       (Closes: #535375);
     - add a new "get-orig-source" target to package the orig.tar.gz file
       from the upstream GIT repository directly;
     - upstream is now compatible with Type1 fonts from ThaiLaTeX v0.4.2,
       which deprecates the use of a prepackaged set of fonts.  The fontmap
       files now have a "-c90" appended to them, i.e. "norasi-c90" and
       "garuda-c90".
  * [thaifonts.tar.gz.uu] Removed, because CJK is now fully compatible with
     fonts from the ThaiLaTeX package.
  * [patches/00list] Remove 05_fix_examplefiles.dpatch from the list,
     as the upstream release now uses CJKutf8 and does not rely on the
     non-free Bitstream Cyberbit font anymore.  This also closes an

