=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: cjk
-Build-Depends: debhelper (>= 8), quilt, libkpathsea-dev, texlive-extra-utils, git-core, tex-common (>= 2.04)
-Build-Depends-Indep: texlive-base-bin, perl-base (>= 5.8.0), texlive-font-utils, thailatex, latex-fonts-thai-tlwg
+Build-Depends: debhelper (>= 7), quilt, libkpathsea-dev, texlive-extra-utils, git-core, tex-common (>= 2.04)
+Build-Depends-Indep: texlive-base-bin, perl-base (>= 5.8.0), texlive-font-utils, thailatex
 Section: tex
 Priority: optional
 Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Danai SAE-HAN (韓達耐) <danai@debian.org>, Norbert Preining <preining@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.8.4
 Vcs-Svn: svn://svn.debian.org/svn/debian-tex/cjk/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/cjk/trunk/
 Homepage: http://cjk.ffii.org/
@@ -32,14 +32,7 @@
 Package: latex-cjk-xcjk
 Architecture: all
 Depends: latex-cjk-common (>= ${source:Version}), texlive-xetex, tex-common (>= 2.04), ${misc:Depends}
-Suggests: fonts-dejima-mincho, fonts-kiloji, 
-          fonts-thai-tlwg, 
-          fonts-arphic-ukai, fonts-arphic-uming, 
-          fonts-baekmuk, 
-          fonts-ipafont-gothic | fonts-japanese-gothic, 
-          fonts-ipafont-mincho | fonts-japanese-mincho,
-          fonts-unfonts-core, fonts-unfonts-extra, 
-          ttf-wqy-zenhei
+Suggests: ttf-dejima-mincho, ttf-kiloji, ttf-thai-tlwg, ttf-arphic-ukai, ttf-arphic-uming, ttf-baekmuk, ttf-sazanami-gothic, ttf-sazanami-mincho, ttf-unfonts-core, ttf-unfonts-extra, ttf-vlgothic, ttf-wqy-zenhei
 Conflicts: cjk-latex (<= 4.5.1)
 Description: XeTeX module of LaTeX CJK
  CJK is a macro package for LaTeX.  This package gives you the possibility
