=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: cjk
-Build-Depends: debhelper (>= 7), quilt, libkpathsea-dev, texlive-extra-utils, git-core, tex-common (>= 2.04)
-Build-Depends-Indep: texlive-base-bin, perl-base (>= 5.8.0), texlive-font-utils, thailatex
+Build-Depends: debhelper (>= 8.1.0~), quilt, libkpathsea-dev, texlive-extra-utils, git-core, tex-common (>= 3)
+Build-Depends-Indep: texlive-base-bin, perl-base (>= 5.8.0), texlive-font-utils, thailatex, latex-fonts-thai-tlwg (>= 1:0.5.0)
 Section: tex
 Priority: optional
 Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Danai SAE-HAN (韓達耐) <danai@debian.org>, Norbert Preining <preining@debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/svn/debian-tex/cjk/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/cjk/trunk/
 Homepage: http://cjk.ffii.org/
 
 Package: latex-cjk-common
 Architecture: any
-Depends: texlive-latex-base, texlive-font-utils (>= 2007.dfsg.2-1), tex-common (>= 2.04), ${misc:Depends}, ${shlibs:Depends}
+Depends: texlive-latex-base, texlive-font-utils (>= 2007.dfsg.2-1), tex-common (>= 3), ${misc:Depends}, ${shlibs:Depends}
 Recommends: latex-cjk-xcjk
 Conflicts: cjk-latex (<= 4.5.1), latex-cjk
 Replaces: cjk-latex
@@ -31,8 +31,15 @@
 
 Package: latex-cjk-xcjk
 Architecture: all
-Depends: latex-cjk-common (>= ${source:Version}), texlive-xetex, tex-common (>= 2.04), ${misc:Depends}
-Suggests: ttf-dejima-mincho, ttf-kiloji, ttf-thai-tlwg, ttf-arphic-ukai, ttf-arphic-uming, ttf-baekmuk, ttf-sazanami-gothic, ttf-sazanami-mincho, ttf-unfonts-core, ttf-unfonts-extra, ttf-vlgothic, ttf-wqy-zenhei
+Depends: latex-cjk-common (>= ${source:Version}), texlive-xetex, tex-common (>= 3), ${misc:Depends}
+Suggests: fonts-dejima-mincho, fonts-kiloji, 
+          fonts-thai-tlwg, 
+          fonts-arphic-ukai, fonts-arphic-uming, 
+          fonts-baekmuk, 
+          fonts-ipafont-gothic | fonts-japanese-gothic, 
+          fonts-ipafont-mincho | fonts-japanese-mincho,
+          fonts-unfonts-core, fonts-unfonts-extra, 
+          ttf-wqy-zenhei
 Conflicts: cjk-latex (<= 4.5.1)
 Description: XeTeX module of LaTeX CJK
  CJK is a macro package for LaTeX.  This package gives you the possibility
@@ -51,7 +58,7 @@
 
 Package: latex-cjk-chinese
 Architecture: any
-Depends: latex-cjk-common (= ${binary:Version}), tex-common (>= 2.04), ${misc:Depends}, ${shlibs:Depends}
+Depends: latex-cjk-common (= ${binary:Version}), tex-common (>= 3), ${misc:Depends}, ${shlibs:Depends}
 Recommends: latex-cjk-chinese-arphic-bsmi00lp, latex-cjk-chinese-arphic-bkai00mp, latex-cjk-chinese-arphic-gbsn00lp, latex-cjk-chinese-arphic-gkai00mp
 Suggests: hbf-cns40-b5, hbf-jfs56
 Conflicts: cjk-latex (<= 4.5.1), tfm-arphic-bsmi00lp (<= 2.11.2-0.1), tfm-arphic-bkai00mp (<= 2.11.2-0.1), tfm-arphic-gbsn00lp (<= 2.11.2-0.1), tfm-arphic-gkai00mp (<= 2.11.2-0.1)
@@ -69,7 +76,7 @@
 Package: latex-cjk-japanese
 Architecture: any
 Recommends: latex-cjk-japanese-wadalab
-Depends: latex-cjk-common (= ${binary:Version}), tex-common (>= 2.04), ${misc:Depends}, ${shlibs:Depends}
+Depends: latex-cjk-common (= ${binary:Version}), tex-common (>= 3), ${misc:Depends}, ${shlibs:Depends}
 Suggests: hbf-kanji48
 Conflicts: cjk-latex (<= 4.5.1)
 Description: Japanese module of LaTeX CJK
@@ -84,7 +91,7 @@
 Package: latex-cjk-korean
 Architecture: all
 Recommends: ko.tex-extra-hlfont
-Depends: latex-cjk-common (>= ${source:Version}), tex-common (>= 2.04), ${misc:Depends}
+Depends: latex-cjk-common (>= ${source:Version}), tex-common (>= 3), ${misc:Depends}
 Conflicts: cjk-latex (<= 4.5.1)
 Description: Korean module of LaTeX CJK
  CJK is a macro package for LaTeX.  This package gives you the possibility
@@ -92,7 +99,7 @@
 
 Package: latex-cjk-thai
 Architecture: all
-Depends: latex-cjk-common (>= ${source:Version}), texlive-latex-base, tex-common (>= 2.04), thailatex (>= 0.4.2), ${misc:Depends}
+Depends: latex-cjk-common (>= ${source:Version}), texlive-latex-base, tex-common (>= 3), thailatex (>= 0.4.2), ${misc:Depends}
 Conflicts: cjk-latex (<= 4.5.1)
 Description: Thai module of LaTeX CJK
  CJK is a macro package for LaTeX.  This package gives you the possibility
