=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 upstream_version := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')
 isodate := $(shell dpkg-parsechangelog | sed -ne 's/^Version.*git\(.*\)-.*/\1/p')
 unixdate := $(shell date -d $(isodate) +%s)
-# Add 24 hours to the Unix time.
+# Add 24 hours to the Unix timestamp.
 unixdate := $(shell expr $(unixdate) + 86400 )
 
 # To get the Master revision number (i.e. 4.8.0), use:
@@ -62,7 +62,7 @@
 # You will need a Build-Dependency on the `sharutils' package in debian/control.
 #	cd debian && uudecode thaifonts.tar.gz.uu && tar xzf thaifonts.tar.gz
 #	(cd $(build_thaifonts) && cp ../utils/thaifont/tools/c90.* ../utils/thaifont/tools/*.fontinst ../debian/thaifonts/* . && cd ../debian/thaifonts && prename 's/_//' * && prename 's/\./n\./' norasi.* garuda.*)
-	(cd $(build_thaifonts) && cp ../utils/thaifont/tools/c90.* ../utils/thaifont/tools/*.fontinst /usr/share/texmf/fonts/afm/public/thai/garuda*.afm /usr/share/texmf/fonts/afm/public/thai/norasi*.afm .)
+	(cd $(build_thaifonts) && cp ../utils/thaifont/tools/c90.* ../utils/thaifont/tools/*.fontinst /usr/share/texmf/fonts/afm/public/fonts-tlwg/garuda*.afm /usr/share/texmf/fonts/afm/public/fonts-tlwg/norasi*.afm .)
 
 	(cd $(build_thaifonts) && tex norasi-c90.fontinst && tex garuda-c90.fontinst && for i in f*.pl; do pltotf $$i; done)
 
@@ -70,8 +70,6 @@
 
 build-stamp:
 	touch build-stamp
-
-#clean: clean1 unpatch
 
 clean: unpatch
 #	dh_testdir doc/CJKutf8.txt examples/CJKbabel.tex
@@ -106,9 +104,6 @@
 	rm -f utils/CEFconv/cefsconv
 	rm -f utils/SJISconv/sjisconv
 	rm -f utils/extconv/extconv
-
-#	rm -rf debian/thaifonts
-#	rm -f debian/thaifonts.tar.gz
 
 	dh_clean
 
@@ -163,7 +158,7 @@
 	dh_link -platex-cjk-common usr/share/doc/latex-cjk-common usr/share/doc/texmf/latex/latex-cjk
 
 	dh_installtex -platex-cjk-common -platex-cjk-japanese
-	dh_installtex -platex-cjk-chinese --priority=20 hyphen=pinyin,loadhyph-zh-latn.tex,lhm=1,rhm=1
+	dh_installtex -platex-cjk-chinese
 
 	dh_installdocs -platex-cjk-common
 	dh_installexamples -platex-cjk-common
@@ -184,14 +179,15 @@
 	rm -rf cjk-$(upstream_version)
 	rm -f ../cjk_$(upstream_version).orig.tar.gz
 
-	# Download the latest GIT version and downgrade it to $(isodate).
+	# Download the latest GIT version and downgrade it to $(unixdate).
 	git clone git://git.sv.gnu.org/cjk.git cjk-$(upstream_version)
-	cd cjk-$(upstream_version) && git reset --hard $(shell git rev-list --all -n 1 --before=$(unixdate))
+
+#	cd cjk-$(upstream_version) && git reset --hard `git rev-list --all -n 1 --before=$(unixdate)`
 
 	# Make a pristine package.
 # --no-name/-n is important because it won't save the timestamp in the
 # 5th to 8th byte of the gzip.
-	cd cjk-$(upstream_version) && git archive --format=tar --prefix=cjk-$(upstream_version)/ master | gzip -9 --no-name > ../../tarballs/cjk_$(upstream_version).orig.tar.gz
+	cd cjk-$(upstream_version) && git archive --format=tar --prefix=cjk-$(upstream_version)/ $$(git rev-list --all -n 1 --before=$(unixdate)) | gzip -9 --no-name -c > ../../tarballs/cjk_$(upstream_version).orig.tar.gz
 
 	# Clean again, because we use svn-buildpackage afterwards.
 	rm -rf cjk-$(upstream_version)
