## cjk 4.8.3+git20120621

=== debian/changelog ===
cjk (4.8.3+git20120621-1) unstable; urgency=low

  * The "Thank you" release.
  * Acknowledge work by Norbert to make CJK automagically work with TL2012.
  * New upstream release:
     - Improve captions for Chinese (T/S) and Japanese;
     - fix imcompatibilities with 'ulem.sty';
     - remove xCJK files, as it is superseded by the xeCJK packages;
     - accept Thai input in utf-8 encoding;
     - update compatibility of the Thai font-tlwg fonts to 0.5;
     - make some commands robust.
  * [debian/latex-cjk-thai.install] Add new thai_utf.tex example file.
  * [debian/latex-cjk-xcjk.install, debian/xCJK-extended*] Remove all xCJK
     references because it they are also removed upstream.  Please use the
     xeCJK package instead.
  * [debian/rules, debian/control] Remove latex-cjk-xcjk.
  * [debian/patches/*] Refresh against upstream.

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Tue, 25 Jun 2012 08:02:27 +0800
