=== debian/rules ===
--- 
+++ 
@@ -127,10 +127,8 @@
 	dh_link -platex-cjk-all usr/share/doc/latex-cjk-common usr/share/doc/latex-cjk-all
 	dh_link -pcjk-latex usr/share/doc/latex-cjk-common usr/share/doc/cjk-latex
 	dh_link -platex-cjk-thai usr/share/doc/latex-cjk-common usr/share/doc/latex-cjk-thai
-	dh_link -platex-cjk-xcjk usr/share/doc/latex-cjk-common usr/share/doc/latex-cjk-xcjk
 	dh_installtex -platex-cjk-thai --flavor=map:config_for_all_maps map=Map,garuda-c90.map map=Map,norasi-c90.map
 	dh_installtex -platex-cjk-korean
-	dh_installtex -platex-cjk-xcjk
 	dh_installemacsen -i
 	dh_compress -i
 	dh_fixperms -i
@@ -185,6 +183,7 @@
 #	cd cjk-$(upstream_version) && git reset --hard `git rev-list --all -n 1 --before=$(unixdate)`
 
 	# Make a pristine package.
+	mkdir -p ../tarballs
 # --no-name/-n is important because it won't save the timestamp in the
 # 5th to 8th byte of the gzip.
 	cd cjk-$(upstream_version) && git archive --format=tar --prefix=cjk-$(upstream_version)/ $$(git rev-list --all -n 1 --before=$(unixdate)) | gzip -9 --no-name -c > ../../tarballs/cjk_$(upstream_version).orig.tar.gz
